Package org.eclipse.ecf.core.sharedobject

## Class SharedObjectContainerFactory

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.SharedObjectContainerFactory

All Implemented Interfaces:
  `ISharedObjectContainerFactory`

    public class SharedObjectContainerFactory
    extends Object
    implements ISharedObjectContainerFactory

Factory for creating `ISharedObjectContainer` instances. This class provides ECF clients an entry point to constructing `ISharedObjectContainer` instances.
Here is an example use of the SharedObjectContainerFactory to construct an instance of the 'standalone' container (has no connection to other containers):
`ISharedObjectContainer container =
SharedObjectContainerFactory.getDefault().createSharedObjectContainer('standalone');
...further use of container variable here...`

### Field Summary

Fields
`protected static ISharedObjectContainerFactory` `instance`

### Constructor Summary

Constructors
`protected` `SharedObjectContainerFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ISharedObjectContainer` `createSharedObjectContainer​(String descriptionName)` Make ISharedObjectContainer instance.
`ISharedObjectContainer` `createSharedObjectContainer​(String descriptionName, Object[] args)` Make ISharedObjectContainer instance.
`ISharedObjectContainer` `createSharedObjectContainer​(ContainerTypeDescription desc, Object[] args)` Make ISharedObjectContainer instance.
`static ISharedObjectContainerFactory` `getDefault()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    protected static ISharedObjectContainerFactory instance

### Constructor Detail

#### SharedObjectContainerFactory

    protected SharedObjectContainerFactory()

### Method Detail

#### getDefault

    public static ISharedObjectContainerFactory getDefault()

#### createSharedObjectContainer

    public ISharedObjectContainer createSharedObjectContainer​(ContainerTypeDescription desc,
                                                              Object[] args)
                                                       throws ContainerCreateException

Description copied from interface: `ISharedObjectContainerFactory`
Make ISharedObjectContainer instance.

Specified by:
  `createSharedObjectContainer` in interface `ISharedObjectContainerFactory`
Parameters:
  `desc` - the ContainerTypeDescription to use to create the instance
  `args` - an Object [] of arguments passed to the createInstance method of the IContainerInstantiator
Returns:
  a valid instance of ISharedObjectContainer
Throws:
  `ContainerCreateException`

#### createSharedObjectContainer

    public ISharedObjectContainer createSharedObjectContainer​(String descriptionName)
                                                       throws ContainerCreateException

Description copied from interface: `ISharedObjectContainerFactory`
Make ISharedObjectContainer instance.

Specified by:
  `createSharedObjectContainer` in interface `ISharedObjectContainerFactory`
Parameters:
  `descriptionName` - the ContainerTypeDescription name to lookup
Returns:
  a valid instance of ISharedObjectContainer
Throws:
  `ContainerCreateException`

#### createSharedObjectContainer

    public ISharedObjectContainer createSharedObjectContainer​(String descriptionName,
                                                              Object[] args)
                                                       throws ContainerCreateException

Description copied from interface: `ISharedObjectContainerFactory`
Make ISharedObjectContainer instance.

Specified by:
  `createSharedObjectContainer` in interface `ISharedObjectContainerFactory`
Parameters:
  `descriptionName` - the ContainerTypeDescription name to lookup
  `args` - the Object [] of arguments passed to the IContainerInstantiator.createInstance method
Returns:
  a valid instance of ISharedObjectContainer
Throws:
  `ContainerCreateException`